<!DOCTYPE html>
<html lang="ko"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorator="web/common/layout/DefaultLayoutWeb">
<!--
 *******************************************************************************
 * @source  : CertificationFormWeb.html
 * @desc    : 본인인증 확인 Page
 *============================================================================
 * STYLE24
 * Copyright(C) 2021 TSIT, All rights reserved.
 *============================================================================
 * VER  DATE         AUTHOR      DESCRIPTION
 * ===  ===========  ==========  =============================================
 * 1.0  2021.03.11   jsshin     최초 작성
 *******************************************************************************
 -->
<body>

<th:block layout:fragment="content">
<div id="container" class="container mb">
	<div class="wrap">
		<div class="content authentic"> <!-- 페이지특정 클래스 = dormant -->
			<div class="cont_head">
				<h4>본인 인증 확인</h4>
			</div>
			<div class="cont_body">
				<form class="form_wrap form_col_c form_full" role="form">
					<div class="find_result clear">
						<div class="form_info">
							<p>
								본인 인증 후에 STYLE24의<br>
								다양한 서비스를 이용하실 수 있습니다.
							</p>
						</div>
						<div class="btn_group_block btn_group_md ui_row">
							<div class="ui_col_12">
								<button class="btn btn_primary btn_block" onclick="cfnOpenCellphoneCertify();">
									<span>휴대폰 본인인증</span>
								</button>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<script th:inline="javascript">
/*<![CDATA[*/
	// 나이스 본인인증 후 콜백
	var fnNiceCallBack = function(encData) {
		if (!gagajf.isNull(encData)) {
			let custInfo = {};
			custInfo.encData = encData;
			let jsonData = JSON.stringify(custInfo);
			gagajf.ajaxJsonSubmit('/customer/certification/save', jsonData, fnCertificationCallback);
		}
	};

	var fnCertificationCallback = function (result) {
		if (result.isSuccess) { //인증 성공시 다시 로그인 페이지
			mcxDialog.alertC("본인인증 완료 되었습니다.", {
				sureBtnText: "확인",
				sureBtnClick: function() {
					cfnGoToPage(_PAGE_MAIN);
				}
			});
			return;
		} else { // 이미 가입된 이력이 있는 경우 완료 페이지
			cfnGoToPage(_PAGE_CUSTOMER_JOIN_COMPLETE);
		}
	}
/*]]>*/
</script>

</th:block>

</body>
</html>
